com.google.gwt.aria.client

## Interface TreegridRole

- All Superinterfaces:
    CompositeRole, GridRole, GroupRole, InputRole, RegionRole, Role, SectionRole, SelectRole, StructureRole, TreeRole, WidgetRole
  All Known Implementing Classes:
    TreegridRoleImpl

      public interface TreegridRole
      extends GridRole, TreeRole

  A type that represents the treegrid role in the ARIA specification.
  See Also:
    `Role`, `Roles`

- - ### Method Summary

    - ### Methods inherited from interface com.google.gwt.aria.client.GridRole

      `getAriaLevelProperty, getAriaMultiselectableProperty, getAriaReadonlyProperty, removeAriaLevelProperty, removeAriaMultiselectableProperty, removeAriaReadonlyProperty, setAriaLevelProperty, setAriaMultiselectableProperty, setAriaReadonlyProperty`

    - ### Methods inherited from interface com.google.gwt.aria.client.TreeRole

      `getAriaMultiselectableProperty, getAriaRequiredProperty, removeAriaMultiselectableProperty, removeAriaRequiredProperty, setAriaMultiselectableProperty, setAriaRequiredProperty`

    - ### Methods inherited from interface com.google.gwt.aria.client.CompositeRole

      `getAriaActivedescendantProperty, removeAriaActivedescendantProperty, setAriaActivedescendantProperty`

    - ### Methods inherited from interface com.google.gwt.aria.client.GroupRole

      `getAriaActivedescendantProperty, removeAriaActivedescendantProperty, setAriaActivedescendantProperty`

    - ### Methods inherited from interface com.google.gwt.aria.client.SectionRole

      `getAriaExpandedState, removeAriaExpandedState, setAriaExpandedState`

    - ### Methods inherited from interface com.google.gwt.aria.client.Role

      `getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`